From: Stephen Hemminger <stephen@networkplumber.org>
To: dev@dpdk.org
Cc: Stephen Hemminger <stephen@networkplumber.org>,
Thomas Monjalon <thomas@monjalon.net>
Subject: [PATCH v2] devtools: fix false positive from checkpatch
Date: Tue, 17 Sep 2024 09:56:11 -0700 [thread overview]
Message-ID: <20240917165611.9943-1-stephen@networkplumber.org> (raw)
In-Reply-To: <20240917153421.6552-1-stephen@networkplumber.org>
The codespell dictionary has "stdio" in its bad word list,
but stdio.h is often used in DPDK code and creates bogus false
positives from checkpatch.
Also add a check to the parameters to build-dict.sh so it
gives usage error if parameter is missing or does not point
to the codespell git clone.
Signed-off-by: Stephen Hemminger <stephen@networkplumber.org>
---
devtools/build-dict.sh | 5 +++++
1 file changed, 5 insertions(+)
diff --git a/devtools/build-dict.sh b/devtools/build-dict.sh
index a8cac49029..f2fedd534a 100755
--- a/devtools/build-dict.sh
+++ b/devtools/build-dict.sh
@@ -6,6 +6,10 @@
# path to local clone of https://github.com/codespell-project/codespell.git
codespell_path=$1
+if [ ! -d "$codespell_path/codespell_lib/data" ]; then
+ echo "Usage: $0 <path_to_codespell_project>"
+ exit 1
+fi
# concatenate codespell dictionaries, except GB/US one
for suffix in .txt _code.txt _informal.txt _names.txt _rare.txt _usage.txt ; do
@@ -17,6 +21,7 @@ sed '/^..->/d' |
sed '/^uint->/d' |
sed "/^doesn'->/d" |
sed '/^wasn->/d' |
+sed '/^stdio->/d' |
# print to stdout
cat
--
2.45.2
prev parent reply other threads:[~2024-09-17 16:56 UTC|newest]
Thread overview: 5+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-09-17 15:34 [PATCH] " Stephen Hemminger
2024-09-17 15:45 ` Bruce Richardson
2024-09-17 15:49 ` Thomas Monjalon
2024-09-17 16:54 ` Stephen Hemminger
2024-09-17 16:56 ` Stephen Hemminger [this message]
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20240917165611.9943-1-stephen@networkplumber.org \
--to=stephen@networkplumber.org \
--cc=dev@dpdk.org \
--cc=thomas@monjalon.net \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).